package leigh.esp.kabe;

import jakarta.servlet.ServletException;
import leigh.mecha.http.server.WebTransaction;

import java.io.IOException;
import java.time.Instant;

public interface Service {
    void handleClientRequest(WebTransaction clientRequest) throws IOException, ClassNotFoundException, ServletException;

    Instant lastKnownGood();

    String getPath();
}
